X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why is the LG Optimus e400 still not supported?

Posted

The system requirements for Firefox 20 say that it requires 384 mb of RAM and a QVGA display, both of which the LG Optimus e400 has. Why isn't it listed under the supported devices, and.why can't I download it from the Play Store? Please fix.

Chosen solution

Its down to google play to decide if your device is supported and not down to firefox. I have checked and this is the case your best bet is to contact google

[please mark this post as solved]

kind regards, james

Read this answer in context 14

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Linux; U; Android 2.3.6; en-ca; LG-E400R Build/GRK39F) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1 MMS/LG-Android-MMS-V1.2

More Information

evansj 1 solutions 5 answers

Chosen Solution

Its down to google play to decide if your device is supported and not down to firefox. I have checked and this is the case your best bet is to contact google

[please mark this post as solved]

kind regards, james

John99
  • Top 25 Contributor
  • Moderator
624 solutions 8068 answers

There is a slim possibility your phone could be compatible, but you need to check the full spec yourself.

See also

Question owner

The phone meetof the requirements -384 mb of ram -320x240 QVGA screen -Android 2.3 -OpenGL 2.0 support

John99
  • Top 25 Contributor
  • Moderator
624 solutions 8068 answers

Helpful Reply

You may also need to look at any contract you have with the phone provider or the service provider, something out of scope for this forum.

If you follow the links I provided you will note it may be possible to install Firefox mobile even if not available from Google play store.